diff -ruN qmail-1.03.orig/qmail-send.c qmail-1.03/qmail-send.c
--- qmail-1.03.orig/qmail-send.c	Mon Jun 15 12:53:16 1998
+++ qmail-1.03/qmail-send.c	Sat Dec 20 19:21:18 2003
@@ -681,16 +681,16 @@
    log3("warning: unable to stat ",fn2.s,"\n");
    return 0;
   }
- if (str_equal(sender.s,"#@[]"))
-   log3("triple bounce: discarding ",fn2.s,"\n");
+ if (!*sender.s)
+   log3("double bounce: discarding ",fn2.s,"\n");
  else
   {
    if (qmail_open(&qqt) == -1)
     { log1("warning: unable to start qmail-queue, will try later\n"); return 0; }
    qp = qmail_qp(&qqt);
 
-   if (*sender.s) { bouncesender = ""; bouncerecip = sender.s; }
-   else { bouncesender = "#@[]"; bouncerecip = doublebounceto.s; }
+   bouncesender = "";
+   bouncerecip = sender.s;
 
    while (!newfield_datemake(now())) nomem();
    qmail_put(&qqt,newfield_date.s,newfield_date.len);
@@ -707,12 +707,9 @@
 \n\
 Hi. This is the qmail-send program at ");
    qmail_put(&qqt,bouncehost.s,bouncehost.len);
-   qmail_puts(&qqt,*sender.s ? ".\n\
+   qmail_puts(&qqt,".\n\
 I'm afraid I wasn't able to deliver your message to the following addresses.\n\
 This is a permanent error; I've given up. Sorry it didn't work out.\n\
-\n\
-" : ".\n\
-I tried to deliver a bounce message to this address, but the bounce bounced!\n\
 \n\
 ");
 
